(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfxSound.png", id:"gfxSound"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,204,467);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,41);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,83,41);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,45,41);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,106,41);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,41);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,182,464);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,178,399);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,178,419);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,145,50);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,75,41);


(lib.gfxSound = function() {
	this.initialize(img.gfxSound);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,46);


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.soundPlayer = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfxSound();
	this.instance.setTransform(-32,-23);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-32,-23,64,46);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Symbol1();
	this.instance.setTransform(72.5,25,1,1,0,0,0,72.5,25);
	this.instance.alpha = 0.012;

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(41,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(19.5,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(50,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(31,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(33.5,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(35,4.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(72.5,25,1,1,0,0,0,72.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,145,50);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '22101',
			title: 'Umieścić w prostokącie nazwę ubrania w języku angielskim.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1|2',
				/*drop_2:*/ '1|2',
				/*drop_3:*/ '3|4',
				/*drop_4:*/ '3|4',	
				/*drop_5:*/ '5|6',	
				/*drop_6:*/ '5|6',	
				/*drop_7:*/ '7|8',	
				/*drop_8:*/ '7|8',	
				/*drop_9:*/ '9|10',		
				/*drop_10:*/ '9|10',		
				/*drop_11:*/ '11|12',		
				/*drop_12:*/ '11|12',		
			],
			range: 20,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			endsound: 'ssBrawa',
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {
				var sounds = [];
				sounds[1] = 6;
				sounds[2] = 6;
				sounds[3] = 1;
				sounds[4] = 1;
				sounds[5] = 4;
				sounds[6] = 4;
				sounds[7] = 2;
				sounds[8] = 2;
				sounds[9] = 5;
				sounds[10] = 5;
				sounds[11] = 3;
				sounds[12] = 3;
				
				if(isCorrect === true) {
					createjs.Sound.play(config.id + '_' + sounds[parseInt(dropIndex+1)]);
				}		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// as
	this.sound_6 = new lib.soundPlayer();
	this.sound_6.setTransform(-51.2,358.8);

	this.sound_5 = new lib.soundPlayer();
	this.sound_5.setTransform(-51.2,291.5);

	this.sound_4 = new lib.soundPlayer();
	this.sound_4.setTransform(-51.2,224.3);

	this.sound_3 = new lib.soundPlayer();
	this.sound_3.setTransform(-51.2,157);

	this.sound_2 = new lib.soundPlayer();
	this.sound_2.setTransform(-51.2,89.8);

	this.sound_1 = new lib.soundPlayer();
	this.sound_1.setTransform(-51.2,22.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.sound_1},{t:this.sound_2},{t:this.sound_3},{t:this.sound_4},{t:this.sound_5},{t:this.sound_6}]}).wait(1));

	// content
	this.drop_12 = new lib.Symbol9();
	this.drop_12.setTransform(991.5,155.9,1,1,0,0,0,72.5,25);

	this.drop_11 = new lib.Symbol9();
	this.drop_11.setTransform(271.9,165.6,1,1,0,0,0,72.5,25);

	this.drop_10 = new lib.Symbol9();
	this.drop_10.setTransform(992.5,402.1,1,1,0,0,0,72.5,25);

	this.drop_9 = new lib.Symbol9();
	this.drop_9.setTransform(270.3,418.1,1,1,0,0,0,72.5,25);

	this.drop_8 = new lib.Symbol9();
	this.drop_8.setTransform(919.4,73.9,1,1,0,0,0,72.5,25);

	this.drop_7 = new lib.Symbol9();
	this.drop_7.setTransform(344.3,81.5,1,1,0,0,0,72.5,25);

	this.drop_5 = new lib.Symbol9();
	this.drop_5.setTransform(243.3,333.9,1,1,0,0,0,72.5,25);

	this.drop_6 = new lib.Symbol9();
	this.drop_6.setTransform(1020.5,320,1,1,0,0,0,72.5,25);

	this.drop_4 = new lib.Symbol9();
	this.drop_4.setTransform(1021.8,238,1,1,0,0,0,72.5,25);

	this.drop_3 = new lib.Symbol9();
	this.drop_3.setTransform(242.9,249.8,1,1,0,0,0,72.5,25);

	this.drop_2 = new lib.Symbol9();
	this.drop_2.setTransform(948.3,484.2,1,1,0,0,0,72.5,25);

	this.drop_1 = new lib.Symbol9();
	this.drop_1.setTransform(314.3,502.2,1,1,0,0,0,72.5,25);

	this.drag_12 = new lib.Symbol8();
	this.drag_12.setTransform(1207.7,110.7,1,1,0,0,0,72.6,25.2);

	this.drag_10 = new lib.Symbol7();
	this.drag_10.setTransform(1184.8,177.9,1,1,13,0,0,72.5,25);

	this.drag_8 = new lib.Symbol6();
	this.drag_8.setTransform(1247.8,243.7,1,1,0,0,0,72.5,25);

	this.drag_6 = new lib.Symbol5();
	this.drag_6.setTransform(1187.8,428.8,1,1,-4,0,0,72.5,25);

	this.drag_4 = new lib.Symbol4();
	this.drag_4.setTransform(1179.8,291.5,1,1,0,0,0,72.5,25);

	this.drag_2 = new lib.Symbol3();
	this.drag_2.setTransform(1228,360.7,1,1,8,0,0,72.5,25);

	this.drag_11 = new lib.Symbol8();
	this.drag_11.setTransform(78.7,462.8,1,1,-15,0,0,72.6,25.2);

	this.drag_9 = new lib.Symbol7();
	this.drag_9.setTransform(54.6,390.1,1,1,13,0,0,72.5,25);

	this.drag_7 = new lib.Symbol6();
	this.drag_7.setTransform(50.5,323.7,1,1,0,0,0,72.5,25);

	this.drag_5 = new lib.Symbol5();
	this.drag_5.setTransform(39.5,254.7,1,1,-4,0,0,72.5,25);

	this.drag_3 = new lib.Symbol4();
	this.drag_3.setTransform(71.5,191.7,1,1,0,0,0,72.5,25);

	this.drag_1 = new lib.Symbol3();
	this.drag_1.setTransform(89.7,131.7,1,1,8,0,0,72.5,25);

	this.instance = new lib.Bitmap4();
	this.instance.setTransform(762,69.9);

	this.instance_1 = new lib.Bitmap3();
	this.instance_1.setTransform(324.4,99.9);

	this.instance_2 = new lib.Bitmap2();
	this.instance_2.setTransform(668.9,60.9);

	this.instance_3 = new lib.Bitmap1();
	this.instance_3.setTransform(416.1,59.4);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_1},{t:this.drag_3},{t:this.drag_5},{t:this.drag_7},{t:this.drag_9},{t:this.drag_11},{t:this.drag_2},{t:this.drag_4},{t:this.drag_6},{t:this.drag_8},{t:this.drag_10},{t:this.drag_12},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_6},{t:this.drop_5},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(-83.2,-0.5,1403.5,527.7);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(556.8,359.5,1403.5,527.7);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;